<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:13 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>GeneratorTask (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="GeneratorTask (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/plugins/ide/api/FileContentMerger.html" title="class in org.gradle.plugins.ide.api"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/plugins/ide/api/PropertiesFileContentMerger.html" title="class in org.gradle.plugins.ide.api"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/plugins/ide/api/GeneratorTask.html" target="_top">Frames</a></li>
<li><a href="GeneratorTask.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.plugins.ide.api</div>
<h2 title="Class GeneratorTask" class="title">Class GeneratorTask&lt;T&gt;</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.internal.AbstractTask</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../org/gradle/api/DefaultTask.html" title="class in org.gradle.api">org.gradle.api.DefaultTask</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.internal.ConventionTask</li>
<li>
<ul class="inheritance">
<li>org.gradle.plugins.ide.api.GeneratorTask&lt;T&gt;</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl><dt><span class="strong">Type Parameters:</span></dt><dd><code>T</code> - The domain object for the configuration file.</dd></dl>
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, <a href="../../../../../org/gradle/api/plugins/ExtensionAware.html" title="interface in org.gradle.api.plugins">ExtensionAware</a>, <a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>, org.gradle.util.Configurable&lt;<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;</dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../org/gradle/ide/visualstudio/tasks/GenerateSolutionFileTask.html" title="class in org.gradle.ide.visualstudio.tasks">GenerateSolutionFileTask</a>, <a href="../../../../../org/gradle/plugins/ide/api/PropertiesGeneratorTask.html" title="class in org.gradle.plugins.ide.api">PropertiesGeneratorTask</a>, <a href="../../../../../org/gradle/plugins/ide/api/PropertyListGeneratorTask.html" title="class in org.gradle.plugins.ide.api">PropertyListGeneratorTask</a>, <a href="../../../../../org/gradle/plugins/ide/api/XmlGeneratorTask.html" title="class in org.gradle.plugins.ide.api">XmlGeneratorTask</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">GeneratorTask&lt;T&gt;</span>
extends org.gradle.api.internal.ConventionTask</pre>
<div class="block"><p>A <code>GeneratorTask</code> generates a configuration file based on a domain object of type T.
 When executed the task:
 <ul>

 <li>loads the object from the input file, if it exists.</li>

 <li>Calls the beforeConfigured actions, passing the object to each action.</li>

 <li>Configures the object in some task-specific way.</li>

 <li>Calls the afterConfigured actions, passing the object to each action.</li>

 <li>writes the object to the output file.</li>

 </ul></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../../org/gradle/api/Task.Namer.html" title="class in org.gradle.api">Task.Namer</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected org.gradle.internal.MutableActionSet&lt;<a href="../../../../../org/gradle/plugins/ide/api/GeneratorTask.html" title="type parameter in GeneratorTask">T</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/ide/api/GeneratorTask.html#afterConfigured">afterConfigured</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected org.gradle.internal.MutableActionSet&lt;<a href="../../../../../org/gradle/plugins/ide/api/GeneratorTask.html" title="type parameter in GeneratorTask">T</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/ide/api/GeneratorTask.html#beforeConfigured">beforeConfigured</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../org/gradle/plugins/ide/api/GeneratorTask.html" title="type parameter in GeneratorTask">T</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/ide/api/GeneratorTask.html#domainObject">domainObject</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected org.gradle.plugins.ide.internal.generator.generator.Generator&lt;<a href="../../../../../org/gradle/plugins/ide/api/GeneratorTask.html" title="type parameter in GeneratorTask">T</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/ide/api/GeneratorTask.html#generator">generator</a></strong></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_org.gradle.api.Task">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.gradle.api.<a href="../../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a></h3>
<code><a href="../../../../../org/gradle/api/Task.html#TASK_ACTION">TASK_ACTION</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_DEPENDS_ON">TASK_DEPENDS_ON</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_DESCRIPTION">TASK_DESCRIPTION</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_GROUP">TASK_GROUP</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_NAME">TASK_NAME</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_OVERWRITE">TASK_OVERWRITE</a>, <a href="../../../../../org/gradle/api/Task.html#TASK_TYPE">TASK_TYPE</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../org/gradle/plugins/ide/api/GeneratorTask.html#GeneratorTask()">GeneratorTask</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/ide/api/GeneratorTask.html#getInputFile()">getInputFile</a></strong>()</code>
<div class="block">The input file to load the initial configuration from.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/ide/api/GeneratorTask.html#getInputFileIfExists()">getInputFileIfExists</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected org.gradle.internal.reflect.Instantiator</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/ide/api/GeneratorTask.html#getInstantiator()">getInstantiator</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/ide/api/GeneratorTask.html#getOutputFile()">getOutputFile</a></strong>()</code>
<div class="block">The output file to write the final configuration to.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/ide/api/GeneratorTask.html#setInputFile(java.io.File)">setInputFile</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;inputFile)</code>
<div class="block">Sets the input file to load the initial configuration from.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/plugins/ide/api/GeneratorTask.html#setOutputFile(java.io.File)">setOutputFile</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;outputFile)</code>
<div class="block">Sets the output file to write the final configuration to.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.internal.ConventionTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.internal.ConventionTask</h3>
<code>conventionMapping, conventionMapping, getConventionMapping</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.internal.AbstractTask">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.gradle.api.internal.AbstractTask</h3>
<code>addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, newInputFile, newOutputDirectory, newOutputFile, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="beforeConfigured">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>beforeConfigured</h4>
<pre>protected final&nbsp;org.gradle.internal.MutableActionSet&lt;<a href="../../../../../org/gradle/plugins/ide/api/GeneratorTask.html" title="type parameter in GeneratorTask">T</a>&gt; beforeConfigured</pre>
</li>
</ul>
<a name="afterConfigured">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>afterConfigured</h4>
<pre>protected final&nbsp;org.gradle.internal.MutableActionSet&lt;<a href="../../../../../org/gradle/plugins/ide/api/GeneratorTask.html" title="type parameter in GeneratorTask">T</a>&gt; afterConfigured</pre>
</li>
</ul>
<a name="generator">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>generator</h4>
<pre>protected&nbsp;org.gradle.plugins.ide.internal.generator.generator.Generator&lt;<a href="../../../../../org/gradle/plugins/ide/api/GeneratorTask.html" title="type parameter in GeneratorTask">T</a>&gt; generator</pre>
</li>
</ul>
<a name="domainObject">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>domainObject</h4>
<pre>protected&nbsp;<a href="../../../../../org/gradle/plugins/ide/api/GeneratorTask.html" title="type parameter in GeneratorTask">T</a> domainObject</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="GeneratorTask()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>GeneratorTask</h4>
<pre>public&nbsp;GeneratorTask()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getInstantiator()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInstantiator</h4>
<pre>@Inject
protected&nbsp;org.gradle.internal.reflect.Instantiator&nbsp;getInstantiator()</pre>
</li>
</ul>
<a name="getInputFile()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInputFile</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>(<a href="../../../../../org/gradle/api/tasks/Internal.html#value()">value</a>="Covered by inputFileIfExists")
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getInputFile()</pre>
<div class="block">The input file to load the initial configuration from. Defaults to the output file. If the specified input file
 does not exist, this task uses some default initial configuration.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The input file.</dd></dl>
</li>
</ul>
<a name="getInputFileIfExists()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInputFileIfExists</h4>
<pre><a href="../../../../../org/gradle/api/tasks/Optional.html" title="annotation in org.gradle.api.tasks">@Optional</a>
<a href="../../../../../org/gradle/api/tasks/InputFile.html" title="annotation in org.gradle.api.tasks">@InputFile</a>
protected&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getInputFileIfExists()</pre>
</li>
</ul>
<a name="setInputFile(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setInputFile</h4>
<pre>public&nbsp;void&nbsp;setInputFile(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;inputFile)</pre>
<div class="block">Sets the input file to load the initial configuration from.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>inputFile</code> - The input file. Use null to use the output file.</dd></dl>
</li>
</ul>
<a name="getOutputFile()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOutputFile</h4>
<pre><a href="../../../../../org/gradle/api/tasks/OutputFile.html" title="annotation in org.gradle.api.tasks">@OutputFile</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getOutputFile()</pre>
<div class="block">The output file to write the final configuration to.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The output file.</dd></dl>
</li>
</ul>
<a name="setOutputFile(java.io.File)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setOutputFile</h4>
<pre>public&nbsp;void&nbsp;setOutputFile(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;outputFile)</pre>
<div class="block">Sets the output file to write the final configuration to.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>outputFile</code> - The output file.</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/plugins/ide/api/FileContentMerger.html" title="class in org.gradle.plugins.ide.api"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/plugins/ide/api/PropertiesFileContentMerger.html" title="class in org.gradle.plugins.ide.api"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/plugins/ide/api/GeneratorTask.html" target="_top">Frames</a></li>
<li><a href="GeneratorTask.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
